Subject: bug#15194: closed (Re: bug#15194: hop FTBFS)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Aug 2013 12:20:03 +0000

Your bug report

#15194: hop FTBFS

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15194: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15194
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15194: hop FTBFS
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Aug 2013 14:19:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> [email-masked] (Ludovic Courtès) writes:
>>>
>>>> It turns out Hop & Bigloo have to be upgraded in lockstep.  I believe
>>>> a new Hop version is around the corner, so I’m tempted to just wait
>>>> for that.
>>>>
>>>> WDYT?
>>>
>>> I think we should find a solution that doesn't lead to the 'hop' build
>>> being broken every time 'bigloo' is upgraded before 'hop'.
>>>
>>> An obvious solution would be to keep two versions of 'bigloo': the
>>> latest release, and the release that corresponds to the latest release
>>> of 'hop'.  Hopefully these would be the same most of the time.
>>
>> Yes, that sounds like a plan.  And hopefully the “old” Bigloo would just
>> differ by its ‘version’ and ‘source’ fields, which is easily handled.
>>
>> Would you like to propose a patch?
>
> I don't actually use 'bigloo' or 'hop' myself, and right now I have my
> hands full with a lot of pending work for Guile, so I'd prefer to let
> someone else take care of this.

Message received.  ;-)

I used by super powers to fix it in ffc1074.

Thanks!

Ludo’.

Subject: hop FTBFS
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Mon, 26 Aug 2013 17:39:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Using guix from git 5d9cd70721aa8256f333f76c76cecc6593b6b293, hop fails
to build from source.  Here's the tail of the make transcript:

--8<---------------cut here---------------start------------->8---
bigloo -O2 -fsharing -Wall -wslots -L /tmp/nix-build-hop-2.4.0.drv-0/hop-2.4.0/lib -srfi enable-threads -srfi enable-avahi -cc gcc -copt "-O3  -I/nix/store/l4389c6kqs5x339ai7rah7ywaxm97hcs-bigloo-4.0b/lib/bigloo/4.0b" -srfi hop-dynamic  -copt -fPIC -L /tmp/nix-build-hop-2.4.0.drv-0/hop-2.4.0/lib -unsafe -safee -c xml.scm -o o/xml.o

File "xml.scm", line 859, character 33481:
#	  (let ((js-attr (xml-attribute-encode (xml-tilde->statement obj))))
#	                 ^
*** ERROR:xml-tilde->attribute
Unbound variable -- xml-attribute-encode

File "xml.scm", line 646, character 24544:
#		    (let ((a (xml-attribute-encode attr)))
#		             ^
*** ERROR:xml-write-attribute1293
Unbound variable -- xml-attribute-encode

File "xml.scm", line 650, character 24709:
#	  (display (xml-attribute-encode attr) p)))
#	           ^
*** ERROR:xml-write-attribute1293
Unbound variable -- xml-attribute-encode
3 errors occured, ending ...
make[1]: *** [o/xml.o] Error 255
make[1]: Leaving directory `/tmp/nix-build-hop-2.4.0.drv-0/hop-2.4.0/runtime'
make: *** [lib] Error 2
--8<---------------cut here---------------end--------------->8---